## mx4j.tools.naming
Interface CosNamingServiceMBean

All Known Implementing Classes:
  CosNamingService

public interface CosNamingServiceMBean

Management interface for the CosNamingService MBean.

Version:
  $Revision: 1.4 $

Method Summary
`int` `getPort()` Returns the port on which tnameserv listens for incoming connections
`boolean` `isRunning()` Returns whether this MBean has been started and not yet stopped.
`void` `setPort(int port)` Sets the port on which tnameserv listens for incoming connections.
`void` `start()` Starts this MBean: tnameserv can now accept incoming calls
`void` `stop()` Stops this MBean: tnameserv cannot accept anymore incoming calls

Method Detail

### setPort

    public void setPort(int port)

  Sets the port on which tnameserv listens for incoming connections.

  See Also:
    `getPort()`

### getPort

    public int getPort()

  Returns the port on which tnameserv listens for incoming connections

  See Also:
    `setPort(int)`

### isRunning

    public boolean isRunning()

  Returns whether this MBean has been started and not yet stopped.

  See Also:
    `start()`

### start

    public void start()
               throws java.lang.Exception

  Starts this MBean: tnameserv can now accept incoming calls

  Throws:
    `java.lang.Exception`
  See Also:
    `stop()`, `isRunning()`

### stop

    public void stop()

  Stops this MBean: tnameserv cannot accept anymore incoming calls

  See Also:
    `start()`

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.